Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Apr 2015 17:52:32 +0300

> Date: Tue, 28 Apr 2015 01:25:14 +0300
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
>     The different ways to call xref-find-function are to distinguish
>     jumping to the definition or to "all uses", and currently few backends
>     support those features, I don't think we have a clear idea yet of how
>     they should be presented to the user, and there are too many variants to
>     collapse them all into C-u.  So they'd probably be provided via
>     different commands instead of all being accessed via M-.
> 
> M-x xref-find-references, for starters.

It doesn't seem to work for me: it says "no references found" whatever
symbol I try, even those I know are referenced.  What am I missing?

> - If I do have a tags table loaded, it's likely for a different project than Emacs. This is most likely true for the majority of our users.

etags.el supports more than one loaded tag table, so this shouldn't be
a problem.

> I think Eli (and everyone like-minded) should advise elisp-xref-find and xref-identifier-completion-table-function instead, inside their init script, like suggested by Daniel in another thread.

Please don't make advice the default Emacs customization method.  User
options are much easier to use, so let's do what's possible with them,
and leave advice etc. for more exotic use cases.